﻿<%@ Page Language="C#" AutoEventWireup="true" EnableEventValidation="false" CodeFile="GridViewTest.aspx.cs" 
    Inherits="GridViewTest" EnableViewState="false" %>

<%@ Register Assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.UI" TagPrefix="asp" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>扩展GridView测试</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <div style="margin: 5px 0px">
        <%--导出数据源的数据为Excel、Word或Text（应保证数据源的类型为DataTable或DataSet） 
            使用方法： 
            为SmartGridView添加的方法
            Export(string fileName)
            Export(string fileName, ExportFormat exportFormat)
            Export(string fileName, ExportFormat exportFormat, Encoding encoding)
            Export(string fileName, int[] columnIndexList, ExportFormat exportFormat, Encoding encoding)
            Export(string fileName, int[] columnIndexList, string[] headers, ExportFormat exportFormat, Encoding encoding)
            Export(string fileName, string[] columnNameList, ExportFormat exportFormat, Encoding encoding)
            Export(string fileName, string[] columnNameList, string[] headers, ExportFormat exportFormat, Encoding encoding)--%>
        <asp:Button ID="btnExcel" runat="server" Text="导出为Excel" CommandName="ExportExcel" OnCommand="btn_Command" />
        <asp:Button ID="btnWord" runat="server" Text="导出为Word" CommandName="ExportWord" OnCommand="btn_Command" />
        <asp:Button ID="btnText" runat="server" Text="导出为Text" CommandName="ExportText" OnCommand="btn_Command" />
        <asp:Button ID="btnSure" runat="server" Text="确定传值" OnClick="btnSure_Click" />
        <asp:Label ID="Label1" runat="server" Text="Label"></asp:Label></div>
        <%--BoundRowClickCommandName、BoundRowDoubleClickCommandName分别响应行的单击及双击事件；
            MergeCells属性：合并指定列的相邻且内容相同的单元格（需要合并单元格的列的索引（用逗号“,”分隔））；
            MouseOverCssClass属性：鼠标经过行的时候改变该行的样式，鼠标离开行的时候恢复该行的样式（鼠标经过行时行的 CSS 类名）；
            ContextMenuCssClass属性：右键菜单的级联样式表 CSS 类名（右键菜单的结构div ul li a）
        --%>
        <yyc:SmartGridView ID="SmartGridView1" runat="server" AllowPaging="True" AllowSorting="true"
        PageSize="15" DataSourceID="ObjectDataSource1" MouseOverCssClass="OverRow" DataKeyNames="name"
        Width="100%" BoundRowDoubleClickCommandName="DoubleClick" 
        OnRowCommand="sgv_RowCommand"
        ContextMenuCssClass="RightMenu" MergeCells="3" AutoGenerateColumns="false">
        <Columns>
            <asp:TemplateField ItemStyle-Width="50px">
                <headertemplate>
                    序号
                </headertemplate>
                <itemtemplate>
                    <asp:Label id="No" runat="server" Text='<%# Container.DataItemIndex + 1 %>'></asp:Label>
                </itemtemplate>
            </asp:TemplateField>
            <%--单选按钮(重写的RadioButton控件，指定GroupName属性后，单选)--%>
            <asp:TemplateField ItemStyle-Width="50px">
                <headertemplate>
                    单选
                </headertemplate>
                <itemtemplate>
                    <yyc:SingleRadioButton id="srb1" GroupName="Group" runat="server"></yyc:SingleRadioButton>
                </itemtemplate>
            </asp:TemplateField>
            <%--复选框--%>
            <asp:TemplateField ItemStyle-Width="50px">
                <headertemplate>
                    <asp:CheckBox ID="all" runat="server" />
                </headertemplate>
                <itemtemplate>
                    <asp:CheckBox ID="item"  AutoPostBack="true" OnCheckedChanged="CheckBox_OnCheckedChanged" runat="server" />
                </itemtemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="Name" HeaderText="姓名" SortExpression="Name" />
            <asp:BoundField DataField="Age" HeaderText="年龄" SortExpression="Age" />
            <asp:BoundField DataField="Designation" HeaderText="称号" SortExpression="Designation" />
            <asp:BoundField DataField="Name" HeaderText="姓名" SortExpression="Name" />
            <asp:BoundField DataField="Age" HeaderText="年龄" SortExpression="Age" />
            <asp:BoundField DataField="Designation" HeaderText="称号" SortExpression="Designation" />
            <asp:BoundField DataField="Name" HeaderText="姓名" SortExpression="Name" />
            <asp:BoundField DataField="Age" HeaderText="年龄" SortExpression="Age" />
            <asp:BoundField DataField="Designation" HeaderText="称号" SortExpression="Designation" />
            <asp:BoundField DataField="Name" HeaderText="姓名" SortExpression="Name" />
            <asp:BoundField DataField="Age" HeaderText="年龄" SortExpression="Age" />
            <asp:BoundField DataField="Designation" HeaderText="称号" SortExpression="Designation" />
            <%--行点击事件处理隐藏按钮--%>
            <asp:ButtonField CommandName="DoubleClick" Visible="false" />
            <asp:ButtonField CommandName="OneClick" Visible="false" />
            <asp:ButtonField CommandName="RightMenuClick" Visible="false" />
        </Columns>
        <%--AllowSortTip - 是否启用排序提示; AllowMultiSorting - 是否启用复合排序;SortAscImageUrl - 升序提示图片的URL（不设置则使用默认图片） ;
            SortDescImageUrl - 降序提示图片的URL（不设置则使用默认图片） ;SortAscText - 升序提示文本 ;SortDescText - 降序提示文本 --%>
        <SmartSorting AllowMultiSorting="false" AllowSortTip="True" />
        <%--根据按钮的CommandName设置其客户端属性
            BoundCommandName - 需要绑定的CommandName 
            AttributeKey - 属性的名称 
            AttributeValue - 属性的值（两个占位符：{0} - CommandArgument；{1} - Text） 
            Position - 属性的值的位置--%>
        <ClientButtons>
            <yyc:ClientButton BoundCommandName="Sort" Position="first" AttributeKey="onclick"
                AttributeValue="return confirm('确认对字段“{1}”排序吗？')" />
        </ClientButtons>
        <%--CheckBox单选全选，ChildCheckboxID、ParentCheckboxID对应于模板列中itemtemplate、headertemplate中的CheckBoxID--%>
        <CascadeCheckboxes>
            <yyc:CascadeCheckbox ChildCheckboxID="item" ParentCheckboxID="all" />
        </CascadeCheckboxes>
        <%--固定指定行、指定列 
            FixRowType - 需要固定的行的RowType（用逗号“,”分隔） 
            FixRowState - 需要固定的行的RowState（用逗号“,”分隔） 
            FixRows - 需要固定的行的索引（用逗号“,”分隔） 
            FixColumns - 需要固定的列的索引（用逗号“,”分隔） 
            TableWidth - 表格的宽度 
            TableHeight - 表格的高度
            EnableScrollState - 是否保持滚动条位置不变
        --%>
        <FixRowColumn FixRowType="Header,Pager" TableHeight="400px" TableWidth="600px" FixColumns="0,1" EnableScrollState="true" />
        <%--行的复选框选中时行的样式，取消选中时恢复行的样式--%>
        <CheckedRowCssClass CheckBoxID="item" CssClass="SelectedRow" />
        <%--给数据行增加右键菜单，响应服务端事件或超级链接： Text - 菜单的文本内容; BoundCommandName - 需要绑定的CommandName;
            NavigateUrl - 链接的URL; Target - 链接的目标窗口或框架--%>
        <ContextMenus>
            <yyc:ContextMenu Text="RightMenuClick" BoundCommandName="RightMenuClick" />
            <yyc:ContextMenu Text="<hr />" />
            <yyc:ContextMenu Text="DMS Application" NavigateUrl="http://192.168.0.17" Target="_blank" />
        </ContextMenus>
        <%--自定义分页样式。显示总记录数、每页记录数、当前页数、总页数、首页、上一页、下一页、末页和分页按钮 
            PagingMode - 自定义分页的显示模式 
            TextFormat - 自定义分页的文本显示样式（四个占位符：{0}-每页显示记录数；{1}-总记录数；{2}-当前页数；{3}-总页数）--%>
        <CustomPagerSettings PagingMode="Webabcd" TextFormat="每页{0}条/共{1}条&nbsp;&nbsp;&nbsp;&nbsp;第{2}页/共{3}页&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" />
        <PagerSettings Position="Top" PageButtonCount="13" FirstPageText="首页" PreviousPageText="上一页"
            NextPageText="下一页" LastPageText="末页" />
    </yyc:SmartGridView>
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="Table" TypeName="OjbData">
    </asp:ObjectDataSource>
    </div>
    </form>
</body>
</html>
