﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class GridViewTest : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            if (Request.QueryString["Name"] != null)
            {
                this.Label1.Text = Request.QueryString["Name"].Trim();
            }
        }
    }

    //行点击事件
    protected void sgv_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName.Equals("DoubleClick"))//行的双击事件
        {
            int rowIndex = Convert.ToInt32(e.CommandArgument);
            GridViewRow gvr = this.SmartGridView1.Rows[rowIndex];
            Label lbNo = gvr.FindControl("No") as Label;

            this.Response.Write("<script>parent.document.all['GOGOTextBox1'].value = '" + lbNo.Text.Trim() + "';</script>");
            this.Response.Write("<script>parent.document.all['divTest'].style.display='none';</script>");
        }
        //else if (e.CommandName.Equals("OneClick"))//行的单击事件
        //{
        //    ScriptManager.RegisterStartupScript(this, this.GetType(), "key", "alert('我是单击出来的！');", true);
        //}
        else if (e.CommandName.Equals("RightMenuClick"))//行的右键菜单事件
        {
            ScriptManager.RegisterStartupScript(this, this.GetType(), "key", "alert('我是RightMenuClick出来的！');", true);
        }
    }

    //数据导出功能导出
    protected void btn_Command(object sender, CommandEventArgs e)
    { 
        switch (e.CommandName)
        {
            case "ExportExcel":
                SmartGridView1.Export("excel");
                break;
            case "ExportWord":
                SmartGridView1.Export("word", YYControls.ExportFormat.DOC);
                break;
            case "ExportText":
                SmartGridView1.Export("text", YYControls.ExportFormat.TXT);
                break;
        }
    }

    //复选框选择
    protected void CheckBox_OnCheckedChanged(object sender, EventArgs e)
    {
        CheckBox cb = sender as CheckBox;
        if (cb.Checked)
        {
            ScriptManager.RegisterStartupScript(this, this.GetType(), "key", "alert('我是后台.CS文件触发的复选框选择事件！');", true);
        }
    }

    //传值给父页面
    protected void btnSure_Click(object sender, EventArgs e)
    {
        foreach (GridViewRow gvr in this.SmartGridView1.Rows)
        {
            Label lbNo = gvr.FindControl("No") as Label;
            YYControls.SingleRadioButton srb = gvr.FindControl("srb1") as YYControls.SingleRadioButton;
            if (srb.Checked)
            {
                this.Response.Write("<script>parent.document.all['GOGOTextBox1'].value = '" + lbNo.Text.Trim() + "';</script>");
                //this.Response.Write("<script>parent.document.all['divTest'].style.display='none';</script>");
                break;
            }
        }
    }
}
